Page MenuHomePhabricator

fuzz: tell manifest fuzzer about longer node hashes
ClosedPublic

Authored by durin42 on Apr 2 2020, 4:32 PM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

durin42 created this revision.Apr 2 2020, 4:32 PM
Alphare requested changes to this revision.Apr 14 2020, 5:02 AM
Alphare added a subscriber: Alphare.

Looks to me like this is two changes in one, with the addition of null bytes. Or am I missing something?

This revision now requires changes to proceed.Apr 14 2020, 5:02 AM

Looks to me like this is two changes in one, with the addition of null bytes. Or am I missing something?

The input format for the corpus changed because of the ConsumeBool() call that then determines the width of generated node IDs.

pulkit added a subscriber: pulkit.Jun 15 2020, 5:13 AM

I am not sure what's the status of this one. @durin42 does this needs to be reviewed? If yes, can you rebase and push?

This is still valid.

pulkit accepted this revision.Jun 17 2020, 2:07 PM
This revision was not accepted when it landed; it landed in state Needs Revision.
This revision was automatically updated to reflect the committed changes.